﻿using System;

namespace BTS.Testing.TraceMonitor
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "TraceControlService" in both code and config file together.
    public class TraceControlService : ITraceControlService
    {
        public void Start()
        {
            EventTraceManager.Start(Config.LoggerName, Config.QueueToWriteTo);
            Console.WriteLine("Trace started");
        }

        public void Stop()
        {
            EventTraceManager.Stop();
            Console.WriteLine("Trace stopped");
        }
    }
}
