﻿using BizUnit;
using BizUnit.BizUnitOM;

namespace BTS.Testing.TraceMonitor.BizUnit4.TestSteps
{
    /// <summary>
    /// For demo purposes this sample step will write something to the trace using the CAT logging framework which can be tested by other steps
    /// </summary>
    public class ExampleTraceStep : BizUnit.Xaml.TestStepBase 
    {
        public string TraceMessage { set; get;} 
        
        /// <summary>
        /// Execute
        /// </summary>
        /// <param name="context"></param>
        public override void Execute(Context context)
        {
            Microsoft.BizTalk.CAT.BestPractices.Framework.Instrumentation.TraceManager.CustomComponent.TraceInfo(TraceMessage);
        }
        /// <summary>
        /// Validate
        /// </summary>
        /// <param name="context"></param>
        public override void Validate(Context context)
        {
            
        }
    }
}

